Subject: Red Rock expansion
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 16 Apr 2001 04:12:00 -0700 (PDT)

The Red Rock expansion needs to get  approval at the May 1st Board meeting.  
The procedure is to submit it to the Finance Committee of the Board for 
approval . Assuming the Finance Committee approves the project they would 
recommend it to the Board for approval.  By this memo, I am requesting that 
Rod coordinate with Rick Buy to get it on the Finance Committee agenda.

I will be in town for both the Board meeting and the Finance Committee 
meetings.  If formal presentations are required at the Finance Committee we 
can decide who should do them.  It is my understanding that no presentation 
needs to be done at the Board meeting.  I will check with Jeff to see if he 
wants a formal presentation to the Finance Committee or if he will do it 
himself.